Bug 21771 - Password recovery is broken (see 20023)
Summary: Password recovery is broken (see 20023)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20023
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-06 13:39 UTC by Katrin Fischer
Modified: 2018-11-28 14:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21771: (Follow-up) Revert the shift statement (1.24 KB, patch)
2018-11-06 14:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21771: (Follow-up) Revert the shift statement (1.25 KB, patch)
2018-11-06 14:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-11-06 13:39:08 UTC
At least for 17.11 the password recovery won't find a matching account until the last follow-up from bug 20023 is reverted.
Comment 1 Marcel de Rooy 2018-11-06 14:09:11 UTC
Created attachment 81986 [details] [review]
Bug 21771: (Follow-up) Revert the shift statement

Obviously you should never shift an items from an array if you need that
item later on :)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested with entering userid as well as entering email..
Comment 2 Marcel de Rooy 2018-11-06 14:09:47 UTC
Moving to PQA directly
Comment 3 Marcel de Rooy 2018-11-06 14:10:38 UTC
Attention RM and Rmaints : This patch is a fix of the last follow-up on 20023.
Comment 4 Katrin Fischer 2018-11-06 14:12:24 UTC
I'll run a test with 17.11.11 as I was just working on this immediately.
Comment 5 Katrin Fischer 2018-11-06 14:17:11 UTC
Created attachment 81987 [details] [review]
Bug 21771: (Follow-up) Revert the shift statement

Obviously you should never shift an items from an array if you need that
item later on :)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested with entering userid as well as entering email..

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 6 Marcel de Rooy 2018-11-06 14:28:59 UTC
(In reply to Katrin Fischer from comment #5)
> Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>

Thanks.
Comment 7 Nick Clemens 2018-11-06 17:57:26 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-11-16 12:38:19 UTC
Pushed to 18.05.x for 18.05.06
Comment 9 Fridolin SOMERS 2018-11-16 12:47:41 UTC
Pushed to 17.11.x for 17.11.12